Download Reference Manual
The Developer's Library for D
About Wiki Forums Source Search Contact

Ticket #1494 (closed defect: wontfix)

Opened 6 years ago

Last modified 5 years ago

ICE in tango.net.cluster.tina.QueueFile

Reported by: afb Assigned to: kris
Priority: major Milestone: External Bugs
Component: Tango Version: trunk
Keywords: Cc:

Description

When compiling for PPC64 on Mac OS X 10.4:

tango/net/cluster/tina/QueueFile.d:120: internal compiler error: Bus error

Attachments

tango-ppc64ice.diff (1.7 kB) - added by afb on 02/22/09 22:37:30.
tango-ppc64ice.2.diff (0.9 kB) - added by afb on 02/23/09 14:12:43.

Change History

02/22/09 22:37:30 changed by afb

  • attachment tango-ppc64ice.diff added.

02/23/09 10:18:27 changed by larsivi

Appreciate the ticket, but is GDC generally usable on that platform?

Also, what is the corresponding bugzilla entry for GDC.

02/23/09 13:02:02 changed by afb

That was the only error I got for gdc -arch ppc64, haven't narrowed it down to a GDC bug report yet...

Normally only building in 32-bit mode (not 64-bit) on Mac OS X, as I don't have a 64-bit Macintosh.

02/23/09 14:12:43 changed by afb

  • attachment tango-ppc64ice.2.diff added.

02/23/09 14:13:33 changed by afb

Apparently it is the byte array that is causing problems, so "unrolling" that is an alternative...

02/24/09 19:58:15 changed by larsivi

Could you please create a gdc bugzilla entry for this? With it I can get an email when it is fixed such that I can remove the workaround again.

02/25/09 07:13:57 changed by afb

02/25/09 08:08:12 changed by larsivi

Thanks!

02/25/09 08:20:17 changed by larsivi

(In [4334]) Apply workaround for GDC bug 2688 (PPC64 memcpy issue), refs #1494, thanks afb.

02/25/09 08:27:31 changed by larsivi

  • milestone changed from 0.99.8 to External Bugs.

11/13/09 23:11:35 changed by kris

  • status changed from new to closed.
  • resolution set to wontfix.

needs to be fixed in the compiler instead